LZIPRECOVER(1)

NAME
lziprecover - recovers data from damaged lzip files

SYNOPSIS
lziprecover [options] [files]

DESCRIPTION
Lziprecover is a data recovery tool and decompressor for files in the lzip compressed data format (.lz). Lziprecover is able to repair slightly damaged files (up to one single-byte error per member), produce a correct file by merging the good parts of two or more damaged copies, reproduce a missing (zeroed) sector using a reference file, extract data from damaged files, decompress files, and test integrity of files.

With the help of lziprecover, losing an entire archive just because of a corrupt byte near the beginning is a thing of the past.

Lziprecover can remove the damaged members from multimember files, for example multimember tar.lz archives.

Lziprecover provides random access to the data in multimember files; it only decompresses the members containing the desired data.

Lziprecover facilitates the management of metadata stored as trailing data in lzip files.

Lziprecover is not a replacement for regular backups, but a last line of defense for the case where the backups are also damaged.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-a, --trailing-error
    exit with error status if trailing data

-A, --alone-to-lz
    convert lzma-alone files to lzip format

-c, --stdout
    write to standard output, keep input files

-d, --decompress
    decompress

-D, --range-decompress=<n-m>
    decompress a range of bytes to stdout

-e, --reproduce
    try to reproduce a zeroed sector in file

--lzip-level=N|a|m[N]
    reproduce one level, all, or match length

--lzip-name=<name>
    name of lzip executable for --reproduce

--reference-file=<file>
    reference file for --reproduce

-f, --force
    overwrite existing output files

-i, --ignore-errors
    ignore some errors in -d, -D, -l, -t, --dump

-k, --keep
    keep (don't delete) input files

-l, --list
    print (un)compressed file sizes

-m, --merge
    correct errors in file using several copies

-o, --output=<file>
    place the output into <file>

-q, --quiet
    suppress all messages

-R, --repair
    try to repair a small error in file

-s, --split
    split multimember file in single-member files

-t, --test
    test compressed file integrity

-v, --verbose
    be verbose (a 2nd -v gives more)

--loose-trailing
    allow trailing data seeming corrupt header

--dump=<list>:d:t
    dump members listed/damaged, tdata to stdout

--remove=<list>:d:t
    remove members, tdata from files in place

--strip=<list>:d:t
    copy files to stdout stripping members given

If no file names are given, or if a file is '-', lziprecover decompresses from standard input to standard output. Numbers may be followed by a multiplier: k = kB = 10^3 = 1000, Ki = KiB = 2^10 = 1024, M = 10^6, Mi = 2^20, G = 10^9, Gi = 2^30, etc...

To extract all the files from archive 'foo.tar.lz', use the commands 'tar -xf foo.tar.lz' or 'lziprecover -cd foo.tar.lz | tar -xf -'.

Exit status: 0 for a normal exit, 1 for environmental problems (file not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or invalid input file, 3 for an internal consistency error (e.g., bug) which caused lziprecover to panic.

REPORTING BUGS
Report bugs to lzip-bug@nongnu.org
Lziprecover home page: http://www.nongnu.org/lzip/lziprecover.html

COPYRIGHT
Copyright © 2022 Antonio Diaz Diaz. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for lziprecover is maintained as a Texinfo manual. If the info and lziprecover programs are properly installed at your site, the command

    info lziprecover

should give you access to the complete manual.